<!doctype html>
<html>
<head>
    <title>De-Anonymization, Smart Homes, and Erlang: Tor is Coming to SHA2017 | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="De-Anonymization, Smart Homes, and Erlang: Tor is Coming to SHA2017 | Tor Project">
    <meta property="og:description" content="One of the most common questions we get about Tor is some variation of “Is it safe to use?” To...">
    <meta property="og:image" content="https://blog.torproject.org/de-anonymization-smart-homes-and-erlang-at-sha2017/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/de-anonymization-smart-homes-and-erlang-at-sha2017/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        De-Anonymization, Smart Homes, and Erlang: Tor is Coming to SHA2017
      </h1>
    <p class="meta">by tommy | July 24, 2017</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p dir="ltr"> </p>
<p dir="ltr">One of the most common questions we get about Tor is some variation of “Is it safe to use?”</p>
<p dir="ltr">To answer the question, we rely on researchers and developers to look at the code and to try and find vulnerabilities and weaknesses in Tor. We just <a href="https://blog.torproject.org/blog/we-will-pay-you-to-hack-tor-bug-bounty">announced</a> a bug bounty campaign for this purpose — literally paying you to hack Tor.</p>
<h3 dir="ltr">De-anonymization Techniques</h3>
<p dir="ltr">One researcher who’s doing a lot of work on Tor vulnerabilities is Juha Nurmi. Next month, at the SHA2017 hacker camp and conference, <a href="https://program.sha2017.org/events/102.html">he’ll present real world cases</a> where Tor was de-anonymized, including cases of operational security failures, fingerprinting, or traffic analysis.</p>
<p dir="ltr">Tor makes all of its users look the same, which makes them anonymous (<a href="https://www.youtube.com/watch?v=JWII85UlzKw">learn more</a>). Because of this, any possible correlation attacks require monitoring and compromising the network on a <em>global</em> scale. To say that’s incredibly difficult to achieve is an understatement.</p>
<p><img alt="Tor Browser warning text. It reads &quot;Maximizing Tor Browser can allow websites to determine your monitor size, which can be used to track you. We recommend that you leave Tor Browser windows in their original default size.&quot;" src="/static/images/blog/inline-images/tor-warning.png" class="align-center" /></p>
<p dir="ltr">In fact, when users are de-anonymized, it’s usually because they didn’t follow one of the our <a href="https://www.torproject.org/download/download.html.en#Warning">guidelines</a> (enabling plugins in Tor Browser, for example) and not because of any inherent flaw in the Tor network. We document <a href="https://www.torproject.org/download/download.html.en#Warning">warnings</a> about common pitfalls, and we’re working on our user interface to provide more alerts when users do something potentially comprising, like adjusting the size of the browser’s window.</p>
<p>More information about the possible pitfalls and how to mitigate them will be available in Nurmi’s upcoming paper that will be published after the conference. It’ll include suggestions for how Tor and Tor users can mitigate these attacks. </p>
<p dir="ltr">But that’s not all — there are several other Tor talks happening at SHA2017.</p>
<h3 dir="ltr">Smart Home Security with Tor</h3>
<p>Most people are familiar with Tor as a network and as a browser, but moving forward, we’d like to include Tor in more parts of the web. To borrow some internet-speak, we want to Tor <strong>all</strong> the things!</p>
<p>Kalyan Dikshit from Mozilla will speak on one most important uses of Tor in the next decade: <a href="https://program.sha2017.org/events/56.html">securing</a> a plethora of internet-connected “smart home” devices.</p>
<h3>Talla: An Erlang Implementation of Tor</h3>
<p dir="ltr">Alexander Færøy will provide a <a href="https://program.sha2017.org/events/304.html">technical walk-through</a> of Talla, a third-party implementation of a Tor relay daemon in Erlang. You’ll gain a better understanding of the design, architecture and testing of a highly concurrent, fault-tolerant and complex application in Erlang.</p>
<h3 dir="ltr">Tor &amp; Configuration Management</h3>
<p dir="ltr">Sebastiaan Provost will talk about another area of focus for Tor moving forward: sustainably <a href="https://program.sha2017.org/events/125.html">growing the Tor network</a>.</p>
<h3 dir="ltr">Join the Tor Meetup</h3>
<p dir="ltr">The conference has more than talks, and includes a Tor meetup (details to come!), a Family Area, and a host of <a href="https://wiki.sha2017.org/w/Interests">interest-specific villages</a>.</p>
<p dir="ltr">SHA2017 will take place in Zeewolde, about 35 miles east of Amsterdam, from 4-8 August. <a href="https://tickets.sha2017.org/ifcat/sha2017/">Get your tickets</a>, and we’ll see you there.</p>
<p> </p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/community">
          community
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-269972"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269972" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
    <a href="#comment-269972">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269972" class="permalink" rel="bookmark">Hello t0mmy!…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello t0mmy!</p>
<blockquote><p>In fact, when users are de-anonymized, it’s usually because they didn’t follow one of the our guidelines (enabling Javascript in Tor Browser, for example) </p></blockquote>
<p>I think you mean Java and not Javascript, correct?</p>
<p>By the way, for people that are a bit confused, see these nice paragraphs from mikeperry on why Javascript is enabled by default in the Tor Browser:</p>
<p><a href="https://lists.torproject.org/pipermail/tor-talk/2012-May/024227.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-talk/2012-May/024227.html</a></p>
<p>(why isn't this one linked to in the Tor FAQ? It should be IMHO)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-269974"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269974" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  tommy
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">t0mmy</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted">t0mmy said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269972" class="permalink" rel="bookmark">Hello t0mmy!…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-269974">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269974" class="permalink" rel="bookmark">Hey there…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hey there.</p>
<p>I should have been clearer -- in the post, I was referring to plugins and add-ons more generally. That said, JavaScript may be a concern, depending on your anonymity/security priorities. More: <a href="https://www.torproject.org/docs/faq#TBBJavaScriptEnabled" rel="nofollow">https://www.torproject.org/docs/faq#TBBJavaScriptEnabled</a></p>
<p>I edited the post above for clarity. Thanks for your comment!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-269973"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269973" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>rog_stat (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
    <a href="#comment-269973">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269973" class="permalink" rel="bookmark">- will you please contact…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>- will you please contact the team of the web-mails (tutanota e.g.) of your choice and educate them about providing a login without JavaScript ?<br />
- when will we have a test page updated about the fingerprint (eff one is outdated) ?<br />
- i love ricochet &amp; onionshare.<br />
- debian tor exists (as source-list) but default is now (hkps) <a href="https://deb.debian.org" rel="nofollow">https://deb.debian.org</a> so could you contact them (debian-team) for providing an official option : onion_deb.debian.org ?<br />
- what is the advantages of the erlang version (talla) ?<br />
growing the tor network is really difficult ; the potential is great but you cannot convince the bad guys to walk on the right side : even free speech is becoming very difficult to be applied , censure, troll, spam, are a technique flooding a discussion often noticed (some blogs &amp; mailing-list provide a tag reply but , in fact, you can't , it is locked and most of them (admin) do not allow any more comment.) so you should maybe spreading the  (world) of the necessity for the news paper online (the guardian , register etc.) &amp; the blogs speaking about security/tech to set an onion site opened for the comment as an unofficial/international free version (russian dissident need a free voice e.g)<br />
i live too far for being present at the tor meetup/talks : it is a pity.<br />
- could i create virtual tor user : virtual server / virtual onion (x100 e.g.) for hiding myself or someone else during a secret com and for protecting a user at a defined moment ?<br />
i think about a special alert (the request) asking help on a private channel inside tor.<br />
if someone is in danger or need to be a bit more invisible , this solidarity could be useful.<br />
- Is it possible to implement this option ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-269975"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269975" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269973" class="permalink" rel="bookmark">- will you please contact…</a> by <span>rog_stat (not verified)</span></p>
    <a href="#comment-269975">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269975" class="permalink" rel="bookmark">- will you please contact…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><blockquote><p>- will you please contact the team of the web-mails (tutanota e.g.) of your choice and educate them about providing a login without JavaScript ?</p></blockquote>
<p>How can they decrypt messages on your browser without JS? By the way I don't think services that own your private key should be trusted (although they may be slightly better than some other services).</p>
<blockquote><p>- when will we have a test page updated about the fingerprint (eff one is outdated) ?</p></blockquote>
<p>See: <a href="https://fpcentral.irisa.fr/" rel="nofollow">https://fpcentral.irisa.fr/</a> and <a href="https://browserprint.info/" rel="nofollow">https://browserprint.info/</a></p>
<blockquote><p>- i love ricochet &amp; onionshare.</p></blockquote>
<p>Me too :)</p>
<blockquote><p>- debian tor exists (as source-list) but default is now (hkps) <a href="https://deb.debian.org" rel="nofollow">https://deb.debian.org</a> so could you contact them (debian-team) for providing an official option : onion_deb.debian.org ?</p></blockquote>
<p>I don't understand, are you saying that there should be a debian onion service? If so note that they already run onion services: <a href="https://onion.debian.org" rel="nofollow">https://onion.debian.org</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-269987"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269987" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>am_st_erdam (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269975" class="permalink" rel="bookmark">- will you please contact…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-269987">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269987" class="permalink" rel="bookmark">Thank you for your long…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you for your long explanation.</p>
<p>#i said that the official source-list is not an onion service (deb + Tor http) but a new depo (deb.debian.org + hkps) ...<br />
#if you want that Tor be more influent you should ask that the alternative (onion) become an official source-list : it is your job.</p>
<p>- is it relevant to add DANE on Tor ?<br />
<a href="https://www.dnssec-validator.cz/" rel="nofollow">https://www.dnssec-validator.cz/</a><br />
- are you able to make one ?<br />
<a href="https://tutanota.com/blog/old-blog/YLZNI.html" rel="nofollow">https://tutanota.com/blog/old-blog/YLZNI.html</a><br />
<a href="https://en.wikipedia.org/wiki/DNS-based_Authentication_of_Named_Entities" rel="nofollow">https://en.wikipedia.org/wiki/DNS-based_Authentication_of_Named_Entities</a><br />
#if you want that Tor be more influent it could maybe the right decision to take : it is your job.<br />
#i do not like OCSP , Calomel.org says that it useless.<br />
#Edit : Preferences : advanced : Requests : Query OCSP responder servers to confirm the current validity of certificates </p>
<p>/How can they decrypt messages on your browser without JS?<br />
#That's the point !<br />
#innovation ? another option ? inherently insecure ? no quantum resistant ? a new model built security in mind must be created ?<br />
#if you want that Tor be more influent a solution must be found : it is your job.<br />
/By the way I don't think services that own your private key should be trusted (although they may be slightly better than some other services).<br />
#That's the point !<br />
#Built my own mail-server ? i should have to buy a raspery &amp; a domain name for less than 100 e-mail/year ? i should pay the help that i give gratis to the others ? ... let's be serious pls.<br />
#about the private-key on tutanota :<br />
<a href="https://tutanota.uservoice.com/knowledgebase/articles/470721-where-are-my-keys-generated-and-how-is-my-private" rel="nofollow">https://tutanota.uservoice.com/knowledgebase/articles/470721-where-are-…</a><br />
#you can also store the key on your own pc/tablet see login page</p>
<p>/see: <a href="https://fpcentral.irisa.fr/" rel="nofollow">https://fpcentral.irisa.fr/</a> and <a href="https://browserprint.info/" rel="nofollow">https://browserprint.info/</a><br />
Tor said on an old post that its own version was planned so i asked when will the Tor fingerprint test page be ready to use.<br />
#if you want that Tor be more influent you could provide a tor fingerprint page test made by tor for tor users : it is your job.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-269990"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269990" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269975" class="permalink" rel="bookmark">- will you please contact…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-269990">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269990" class="permalink" rel="bookmark">When you install and update…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When you install and update Debian normally, everyone on the line can see what you download, right? Debian explicit don't allow updating with TLS?<br />
A kind of problematic De-Anonymization?<br />
Debian-onion-mirrors are no help for that problem.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-269996"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269996" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269990" class="permalink" rel="bookmark">When you install and update…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-269996">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269996" class="permalink" rel="bookmark">The topic is &#039;growing the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The topic is 'growing the Tor network' :<br />
debian provides an onion service &amp; sks provides one.<br />
<a href="https://sks-keyservers.net/overview-of-pools.php" rel="nofollow">https://sks-keyservers.net/overview-of-pools.php</a><br />
Tor hidden service<br />
An experimental Tor OnionBalance hidden service is running as hkp://jirk5u4osbsr34t5.onion consisting of the servers marked with Tor support in the status list as backend. </p>
<p>[install and update Debian] : Your comment should be better at the right place posted at a debian mailing-list.<br />
- you can install with jigdo or torrent via a vpn/proxy or not e.g.<br />
jigdo &amp; torrent verify the download &amp; you verify again by comparing gpg  key /sha<br />
using onion is anonymous so no one can know who you are &amp; what you are downloading is protected by an encrypted layer (https , vpn, proxies).<br />
do not mix anonymity/integrity_authenticity/privacy : onion = anonymity, gpg = authenticity, layer/addon = privacy<br />
using onion debian service you obtain privacy &amp; anonymity , using sks you obtain also both but you can add an extra layer securing your download &amp; update using a vpn/proxy.<br />
gpg key are protected using hkp/hkps so no one can see your keys (verification/update).<br />
- no,  When you install and update Debian normally, everyone on the line cannot see what you download.<br />
- yes, Debian-onion-mirrors are a help for that problem.</p>
<p>* a mirror is configured for authenticity &amp; integrity is given by torrent/jigdo &amp; gpgkey ; onion provides an anonymity/privacy layer but for a paranoid mode, you should use a vpn:proxy e.g.</p>
<p>[install and update Debian] is a beginner question : Setting/securing/ your o.s &amp; be involved is up to you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-269999"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269999" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Debian-rocks! (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269990" class="permalink" rel="bookmark">When you install and update…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-269999">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269999" class="permalink" rel="bookmark">It is worth spending some…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It is worth spending some time poking around debian.org for information.  Not the best organized site in the world, but exploring it will yield rewards.</p>
<p>In the past, owing to a lack of server capacity, Debian discouraged users from downloading iso images for install media (suggesting jigdo or torrents instead), but owing to some generous server donations and to increased recognition of the all too real danger posed by bad guys modifying software during downloads, they seem to have become more willing to provide safer alternatives for at-risk Debian users.</p>
<p>In particular, there are several official Debian repository mirrors from which you can download an iso image of DVD#1 (the "live DVD" install disk) plus a GPG-signed list of SHA-256 and other hashes.  Because of the size of the file (about 1.3 GB as I recall), you probably cannot do this using a browser but must use something like curl or wget.   If you have Tails, you can painlessly tunnel wget through Tor simply by typing "wget [options] url" in a terminal while using Tails.  This may be worth doing for the stronger authentication of the mirror itself, but may not actually provide strong anonymity.</p>
<p>With some effort, you can ask wget to use an encrypted connection (from the exit node to the mirror).   However, because of the strong cryptographic verification and the anonymity which we hope is provided by the Tor circuit via Tails, this may not be needed.</p>
<p>(Not a TP employee, just another Tor and Debian user, so I defer to their expertise if I got anything wrong.)</p>
<p>(Speaking of cryptographic signatures: the founder of Debian, the late Ian Murdock, pretty much invented the modern package management system used by Ubuntu, Debian, and many other *nix distributions. Further, Debian was one of the first distributions to introduce cryptographic signatures for packages.  However, Debian packages are not directly signed; rather, a file listing cryptographic hashes is signed.  The potential problem here for Debian users is that it appears to be difficult to ensure that your package manager (probably synaptic) is using SHA-256 hashes rather than SHA-1 or MD-5, which are now considered to be unsafe.  I'd welcome comment from Debian Project on this point, because I have never been able to find a clear description at debian.org of how the cryptographic package verification works.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-270133"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270133" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 02, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269975" class="permalink" rel="bookmark">- will you please contact…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-270133">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270133" class="permalink" rel="bookmark">How about Ubuntu? they even…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>How about Ubuntu? they even don't have https which allow an adversary to see the packages I install.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-269977"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269977" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Niemann (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
    <a href="#comment-269977">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269977" class="permalink" rel="bookmark">Even recently killed…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Even recently killed services were worth to kill, it was too many success against tor...hopefully somebody will find the leak...</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-269983"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269983" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="More-like-this-please!">More-like-this… (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
    <a href="#comment-269983">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269983" class="permalink" rel="bookmark">&gt; Smart Home Security with…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Smart Home Security with Tor: Most people are familiar with Tor as a network and as a browser, but moving forward, we’d like to include Tor in more parts of the web. To borrow some internet-speak, we want to Tor all the things!</p>
<p>Sounds like a terrific idea, and a great example of how TP is becoming more creative and ambitious in helping other groups use Tor to do good deeds, such as protecting IOT devices from the bad guys.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-269985"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269985" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>I-like-this (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
    <a href="#comment-269985">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269985" class="permalink" rel="bookmark">&gt; Sebastiaan Provost will…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; Sebastiaan Provost will talk about another area of focus for Tor moving forward: sustainably growing the Tor network.</p>
<p>Hurrah!  This is very important for ensuring that Tor can continue to protect old users while protecting tens or hundreds of millions of new users in the new future.</p>
<p>@ Shari:</p>
<p>It should be a major TP goal to try to ensure that new researchers are constantly recruited to this field, while continuing to express our appreciation to those who have been working in it for many years.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-269988"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269988" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 24, 2017</p>
    </div>
    <a href="#comment-269988">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269988" class="permalink" rel="bookmark">TBB is handling the warning …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>TBB is handling the warning "Maximizing Tor Browser can allow websites...."<br />
really WRONG. !.<br />
It needs the warning and the OK-button BEFORE the window is maximizing and not after. Logical, isn't it?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-270000"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270000" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269988" class="permalink" rel="bookmark">TBB is handling the warning …</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-270000">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270000" class="permalink" rel="bookmark">I always assumed that unless…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I always assumed that unless you </p>
<p>o hit "reload"</p>
<p>o click on a link</p>
<p>o enter another url and hit return, </p>
<p>the browser is not making any new connections and thus not sending up the wire the information that the window size has just changed.   If so, the pop-up gives you the chance to immediately revert the maximization before potentially hostile website operators learn your maximal window size.</p>
<p>(Not a TP employee but just another user, so I defer to their expertise if I got anything wrong.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-270123"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270123" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 01, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-270000" class="permalink" rel="bookmark">I always assumed that unless…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-270123">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270123" class="permalink" rel="bookmark">Javascript can send the info.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Javascript can send the info.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-269993"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269993" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Another Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
    <a href="#comment-269993">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269993" class="permalink" rel="bookmark">If we want more data going…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If we want more data going through TOR to avoid correlation attacks  (or is this the least concern?), couldn't there be added some method of sending plenty of spoofing packages from one endpoint to another in some way. On top of running TOR Relays, people could be running "spoofing relays" that sends data packages to various sites. (maybe even some that are being visited by another TOR user at the same moment - without monitoring their activity somehow of course)</p>
<p>Or how about making some data packages grow in size with extra arbitrary data which would just be discarded upon arrival, (like make a 1kb entry data package look like a 3kb data package at the endpoint), making it harder to connect data packages going from entry to exit.</p>
<p>(I'm not a TOR export or even a novice, just have a big imagination which can give crazy ideas)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-270001"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270001" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269993" class="permalink" rel="bookmark">If we want more data going…</a> by <span>Another Anonymous (not verified)</span></p>
    <a href="#comment-270001">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270001" class="permalink" rel="bookmark">&gt; spoofing packages…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; spoofing packages</p>
<p>I presume you mean "spoofed traffic", e.g. loading random Wikipedia articles or randomly loading popular website pages.</p>
<p>Over the years, this tactic has often been discussed in this blog, and the response from TP has always been that currently the Tor network lacks capacity to support widespread traffic spoofing, and that TP discourages users from writing their own scripts to do this.</p>
<p>(Not a TP employee, just another user like you, so I defer to their expertise if I got anything wrong.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-270012"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270012" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269993" class="permalink" rel="bookmark">If we want more data going…</a> by <span>Another Anonymous (not verified)</span></p>
    <a href="#comment-270012">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270012" class="permalink" rel="bookmark">plz. upgrade Hidden service…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>plz. upgrade Hidden service to (at least) SHA256 untruncated address ASAP!!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-270087"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270087" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 29, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-270012" class="permalink" rel="bookmark">plz. upgrade Hidden service…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-270087">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270087" class="permalink" rel="bookmark">If you knew more about…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you knew more about cryptography than "omg SHA1 is bad!!!11!" and if you kept up with the work that Tor is almost done doing, you'd know this is a really dumb comment to make.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-269998"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-269998" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Fixitmando (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
    <a href="#comment-269998">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-269998" class="permalink" rel="bookmark">I have been receiving error…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have been receiving error messages stating "Access denied" from different sites when i use Tor. Has this happened to anyone?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-270015"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270015" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  tommy
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">t0mmy</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted">t0mmy said:</p>
      <p class="date-time">July 26, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-269998" class="permalink" rel="bookmark">I have been receiving error…</a> by <span>Fixitmando (not verified)</span></p>
    <a href="#comment-270015">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270015" class="permalink" rel="bookmark">Hi Fixitmando, …</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi Fixitmando, </p>
<p>If you can <a href="https://www.torproject.org/about/contact.html.en#support" rel="nofollow">hop on IRC</a>, someone should be able to help you.</p>
<p>TC</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-270011"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270011" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>styx (not verified)</span> said:</p>
      <p class="date-time">July 25, 2017</p>
    </div>
    <a href="#comment-270011">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270011" class="permalink" rel="bookmark">i would like to know if…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i would like to know if these apps/researchs could be improved using Tor technical background or are better than a Tor solution :<br />
Riffle: An Efficient Communication System With Strong Anonymity<br />
Vuvuzela: Scalable Private Messaging Resistant to Traffic Analysis<br />
i know that it is a first approach and not yet a stable perfect system but Riffle&amp;Vuvuzela look interesting.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-270019"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-270019" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 26, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-270011" class="permalink" rel="bookmark">i would like to know if…</a> by <span>styx (not verified)</span></p>
    <a href="#comment-270019">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-270019" class="permalink" rel="bookmark">As I recall, there have been…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As I recall, there have been some previous mentions of Vuvuzela in this blog (before the recent makeover), so you can try searching for those.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-271056"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-271056" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 27, 2017</p>
    </div>
    <a href="#comment-271056">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-271056" class="permalink" rel="bookmark">The videos are up!https:/…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The videos are up!<br />
<a href="https://media.ccc.de/v/SHA2017-102-tor_de-anonymization_techniques" rel="nofollow">https://media.ccc.de/v/SHA2017-102-tor_de-anonymization_techniques</a><br />
<a href="https://media.ccc.de/b/conferences/sha2017" rel="nofollow">https://media.ccc.de/b/conferences/sha2017</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
